# federateAmbServices.hh File Reference

Go to the source code of this file.

## Functions
virtual void | synchronizationPointRegistrationSucceeded (const char *)=0 throw (FederateInternalError)
virtual void | synchronizationPointRegistrationFailed (const char *)=0 throw (FederateInternalError)
virtual void | announceSynchronizationPoint (const char *, const char *)=0 throw (FederateInternalError)
virtual void | federationSynchronized (const char *)=0 throw (FederateInternalError)
virtual void | initiateFederateSave (const char *)=0 throw (UnableToPerformSave, FederateInternalError)
virtual void | federationSaved ()=0 throw (FederateInternalError)
virtual void | federationNotSaved ()=0 throw (FederateInternalError)
virtual void | requestFederationRestoreSucceeded (const char *)=0 throw (FederateInternalError)
virtual void | requestFederationRestoreFailed (const char *, const char *)=0 throw (FederateInternalError)
virtual void | federationRestoreBegun ()=0 throw (FederateInternalError)
virtual void | initiateFederateRestore (const char *, FederateHandle)=0 throw (SpecifiedSaveLabelDoesNotExist, CouldNotRestore, FederateInternalError)
virtual void | federationRestored ()=0 throw (FederateInternalError)
virtual void | federationNotRestored ()=0 throw (FederateInternalError)
virtual void | startRegistrationForObjectClass (ObjectClassHandle)=0 throw (ObjectClassNotPublished, FederateInternalError)
virtual void | stopRegistrationForObjectClass (ObjectClassHandle)=0 throw (ObjectClassNotPublished, FederateInternalError)
virtual void | turnInteractionsOn (InteractionClassHandle)=0 throw (InteractionClassNotPublished, FederateInternalError)
virtual void | turnInteractionsOff (InteractionClassHandle)=0 throw (InteractionClassNotPublished, FederateInternalError)
virtual void | discoverObjectInstance (ObjectHandle, ObjectClassHandle, const char *)=0 throw (CouldNotDiscover, ObjectClassNotKnown, FederateInternalError)
virtual void | reflectAttributeValues (ObjectHandle, const AttributeHandleValuePairSet &, const FedTime &, const char *, EventRetractionHandle)=0 throw (ObjectNotKnown, AttributeNotKnown, FederateOwnsAttributes, InvalidFederationTime, FederateInternalError)
virtual void | reflectAttributeValues (ObjectHandle, const AttributeHandleValuePairSet &, const char *)=0 throw (ObjectNotKnown, AttributeNotKnown, FederateOwnsAttributes, FederateInternalError)
virtual void | receiveInteraction (InteractionClassHandle, const ParameterHandleValuePairSet &, const FedTime &, const char *, EventRetractionHandle)=0 throw (InteractionClassNotKnown, InteractionParameterNotKnown, InvalidFederationTime, FederateInternalError)
virtual void | receiveInteraction (InteractionClassHandle, const ParameterHandleValuePairSet &, const char *)=0 throw (InteractionClassNotKnown, InteractionParameterNotKnown, FederateInternalError)
virtual void | removeObjectInstance (ObjectHandle, const FedTime &, const char *, EventRetractionHandle)=0 throw (ObjectNotKnown, InvalidFederationTime, FederateInternalError)
virtual void | removeObjectInstance (ObjectHandle, const char *)=0 throw (ObjectNotKnown, FederateInternalError)
virtual void | attributesInScope (ObjectHandle, const AttributeHandleSet &)=0 throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError)
virtual void | attributesOutOfScope (ObjectHandle, const AttributeHandleSet &)=0 throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError)
virtual void | provideAttributeValueUpdate (ObjectHandle, const AttributeHandleSet &)=0 throw (ObjectNotKnown, AttributeNotKnown, AttributeNotOwned, FederateInternalError)
virtual void | turnUpdatesOnForObjectInstance (ObjectHandle, const AttributeHandleSet &)=0 throw (ObjectNotKnown, AttributeNotOwned, FederateInternalError)
virtual void | turnUpdatesOffForObjectInstance (ObjectHandle, const AttributeHandleSet &)=0 throw (ObjectNotKnown, AttributeNotOwned, FederateInternalError)
virtual void | requestAttributeOwnershipAssumption (ObjectHandle, const AttributeHandleSet &, const char *)=0 throw (ObjectNotKnown, AttributeNotKnown, AttributeAlreadyOwned, AttributeNotPublished, FederateInternalError)
virtual void | attributeOwnershipDivestitureNotification (ObjectHandle, const AttributeHandleSet &)=0 throw (ObjectNotKnown, AttributeNotKnown, AttributeNotOwned, AttributeDivestitureWasNotRequested, FederateInternalError)
virtual void | attributeOwnershipAcquisitionNotification (ObjectHandle, const AttributeHandleSet &)=0 throw (ObjectNotKnown, AttributeNotKnown, AttributeAcquisitionWasNotRequested, AttributeAlreadyOwned, AttributeNotPublished, FederateInternalError)
virtual void | attributeOwnershipUnavailable (ObjectHandle, const AttributeHandleSet &)=0 throw (ObjectNotKnown, AttributeNotKnown, AttributeNotDefined, AttributeAlreadyOwned, AttributeAcquisitionWasNotRequested, FederateInternalError)
virtual void | requestAttributeOwnershipRelease (ObjectHandle, const AttributeHandleSet &, const char *)=0 throw (ObjectNotKnown, AttributeNotKnown, AttributeNotOwned, FederateInternalError)
virtual void | confirmAttributeOwnershipAcquisitionCancellation (ObjectHandle, const AttributeHandleSet &)=0 throw (ObjectNotKnown, AttributeNotKnown, AttributeNotDefined, AttributeAlreadyOwned, AttributeAcquisitionWasNotCanceled, FederateInternalError)
virtual void | informAttributeOwnership (ObjectHandle, AttributeHandle, FederateHandle)=0 throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError)
virtual void | attributeIsNotOwned (ObjectHandle, AttributeHandle)=0 throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError)
virtual void | attributeOwnedByRTI (ObjectHandle, AttributeHandle)=0 throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError)
virtual void | timeRegulationEnabled (const FedTime &)=0 throw (InvalidFederationTime, EnableTimeRegulationWasNotPending, FederateInternalError)
virtual void | timeConstrainedEnabled (const FedTime &)=0 throw (InvalidFederationTime, EnableTimeConstrainedWasNotPending, FederateInternalError)
virtual void | timeAdvanceGrant (const FedTime &)=0 throw (InvalidFederationTime, TimeAdvanceWasNotInProgress, FederationTimeAlreadyPassed, FederateInternalError)
virtual void | requestRetraction (EventRetractionHandle)=0 throw (EventNotKnown, FederateInternalError)
virtual | ~FederateAmbassador () throw (FederateInternalError)

## Function Documentation

virtual void announceSynchronizationPoint | ( | const char * | ,
|  | const char * |  |
| ) |  |  | throw (FederateInternalError)`[pure virtual]`

virtual void attributeIsNotOwned | ( | ObjectHandle | ,
|  | AttributeHandle |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError)`[pure virtual]`

virtual void attributeOwnedByRTI | ( | ObjectHandle | ,
|  | AttributeHandle |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError)`[pure virtual]`

virtual void attributeOwnershipAcquisitionNotification | ( | ObjectHandle | ,
|  | const AttributeHandleSet & |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, AttributeAcquisitionWasNotRequested, AttributeAlreadyOwned, AttributeNotPublished, FederateInternalError)`[pure virtual]`

virtual void attributeOwnershipDivestitureNotification | ( | ObjectHandle | ,
|  | const AttributeHandleSet & |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, AttributeNotOwned, AttributeDivestitureWasNotRequested, FederateInternalError)`[pure virtual]`

virtual void attributeOwnershipUnavailable | ( | ObjectHandle | ,
|  | const AttributeHandleSet & |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, AttributeNotDefined, AttributeAlreadyOwned, AttributeAcquisitionWasNotRequested, FederateInternalError)`[pure virtual]`

virtual void attributesInScope | ( | ObjectHandle | ,
|  | const AttributeHandleSet & |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError)`[pure virtual]`

virtual void attributesOutOfScope | ( | ObjectHandle | ,
|  | const AttributeHandleSet & |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError)`[pure virtual]`

virtual void confirmAttributeOwnershipAcquisitionCancellation | ( | ObjectHandle | ,
|  | const AttributeHandleSet & |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, AttributeNotDefined, AttributeAlreadyOwned, AttributeAcquisitionWasNotCanceled, FederateInternalError)`[pure virtual]`

virtual void discoverObjectInstance | ( | ObjectHandle | ,
|  | ObjectClassHandle | ,
|  | const char * |  |
| ) |  |  | throw (CouldNotDiscover, ObjectClassNotKnown, FederateInternalError)`[pure virtual]`

virtual void federationNotRestored | ( |  | ) | throw (FederateInternalError)`[pure virtual]`

virtual void federationNotSaved | ( |  | ) | throw (FederateInternalError)`[pure virtual]`

virtual void federationRestoreBegun | ( |  | ) | throw (FederateInternalError)`[pure virtual]`

virtual void federationRestored | ( |  | ) | throw (FederateInternalError)`[pure virtual]`

virtual void federationSaved | ( |  | ) | throw (FederateInternalError)`[pure virtual]`

virtual void federationSynchronized | ( | const char * |  | ) | throw (FederateInternalError)`[pure virtual]`

virtual void informAttributeOwnership | ( | ObjectHandle | ,
|  | AttributeHandle | ,
|  | FederateHandle |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError)`[pure virtual]`

Referenced by RTIambPrivateRefs::callFederateAmbassador().

virtual void initiateFederateRestore | ( | const char * | ,
|  | FederateHandle |  |
| ) |  |  | throw (SpecifiedSaveLabelDoesNotExist, CouldNotRestore, FederateInternalError)`[pure virtual]`

virtual void initiateFederateSave | ( | const char * |  | ) | throw (UnableToPerformSave, FederateInternalError)`[pure virtual]`

virtual void provideAttributeValueUpdate | ( | ObjectHandle | ,
|  | const AttributeHandleSet & |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, AttributeNotOwned, FederateInternalError)`[pure virtual]`

virtual void receiveInteraction | ( | InteractionClassHandle | ,
|  | const ParameterHandleValuePairSet & | ,
|  | const char * |  |
| ) |  |  | throw (InteractionClassNotKnown, InteractionParameterNotKnown, FederateInternalError)`[pure virtual]`

virtual void receiveInteraction | ( | InteractionClassHandle | ,
|  | const ParameterHandleValuePairSet & | ,
|  | const FedTime & | ,
|  | const char * | ,
|  | EventRetractionHandle |  |
| ) |  |  | throw (InteractionClassNotKnown, InteractionParameterNotKnown, InvalidFederationTime, FederateInternalError)`[pure virtual]`

virtual void reflectAttributeValues | ( | ObjectHandle | ,
|  | const AttributeHandleValuePairSet & | ,
|  | const char * |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, FederateOwnsAttributes, FederateInternalError)`[pure virtual]`

virtual void reflectAttributeValues | ( | ObjectHandle | ,
|  | const AttributeHandleValuePairSet & | ,
|  | const FedTime & | ,
|  | const char * | ,
|  | EventRetractionHandle |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, FederateOwnsAttributes, InvalidFederationTime, FederateInternalError)`[pure virtual]`

virtual void removeObjectInstance | ( | ObjectHandle | ,
|  | const char * |  |
| ) |  |  | throw (ObjectNotKnown, FederateInternalError)`[pure virtual]`

virtual void removeObjectInstance | ( | ObjectHandle | ,
|  | const FedTime & | ,
|  | const char * | ,
|  | EventRetractionHandle |  |
| ) |  |  | throw (ObjectNotKnown, InvalidFederationTime, FederateInternalError)`[pure virtual]`

virtual void requestAttributeOwnershipAssumption | ( | ObjectHandle | ,
|  | const AttributeHandleSet & | ,
|  | const char * |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, AttributeAlreadyOwned, AttributeNotPublished, FederateInternalError)`[pure virtual]`

Referenced by RTIambPrivateRefs::callFederateAmbassador().

virtual void requestAttributeOwnershipRelease | ( | ObjectHandle | ,
|  | const AttributeHandleSet & | ,
|  | const char * |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotKnown, AttributeNotOwned, FederateInternalError)`[pure virtual]`

virtual void requestFederationRestoreFailed | ( | const char * | ,
|  | const char * |  |
| ) |  |  | throw (FederateInternalError)`[pure virtual]`

virtual void requestFederationRestoreSucceeded | ( | const char * |  | ) | throw (FederateInternalError)`[pure virtual]`

virtual void requestRetraction | ( | EventRetractionHandle |  | ) | throw (EventNotKnown, FederateInternalError)`[pure virtual]`

virtual void startRegistrationForObjectClass | ( | ObjectClassHandle |  | ) | throw (ObjectClassNotPublished, FederateInternalError)`[pure virtual]`

virtual void stopRegistrationForObjectClass | ( | ObjectClassHandle |  | ) | throw (ObjectClassNotPublished, FederateInternalError)`[pure virtual]`

virtual void synchronizationPointRegistrationFailed | ( | const char * |  | ) | throw (FederateInternalError)`[pure virtual]`

virtual void synchronizationPointRegistrationSucceeded | ( | const char * |  | ) | throw (FederateInternalError)`[pure virtual]`

virtual void timeAdvanceGrant | ( | const FedTime & |  | ) | throw (InvalidFederationTime, TimeAdvanceWasNotInProgress, FederationTimeAlreadyPassed, FederateInternalError)`[pure virtual]`

virtual void timeConstrainedEnabled | ( | const FedTime & |  | ) | throw (InvalidFederationTime, EnableTimeConstrainedWasNotPending, FederateInternalError)`[pure virtual]`

virtual void timeRegulationEnabled | ( | const FedTime & |  | ) | throw (InvalidFederationTime, EnableTimeRegulationWasNotPending, FederateInternalError)`[pure virtual]`

virtual void turnInteractionsOff | ( | InteractionClassHandle |  | ) | throw (InteractionClassNotPublished, FederateInternalError)`[pure virtual]`

virtual void turnInteractionsOn | ( | InteractionClassHandle |  | ) | throw (InteractionClassNotPublished, FederateInternalError)`[pure virtual]`

virtual void turnUpdatesOffForObjectInstance | ( | ObjectHandle | ,
|  | const AttributeHandleSet & |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotOwned, FederateInternalError)`[pure virtual]`

virtual void turnUpdatesOnForObjectInstance | ( | ObjectHandle | ,
|  | const AttributeHandleSet & |  |
| ) |  |  | throw (ObjectNotKnown, AttributeNotOwned, FederateInternalError)`[pure virtual]`

virtual ~FederateAmbassador | ( |  | ) | throw (FederateInternalError)`[virtual]`

Definition at line 150 of file federateAmbServices.hh.